org.postgis

## Class DriverWrapper.TypesAdder

- java.lang.Object
- - org.postgis.DriverWrapper.TypesAdder

Direct Known Subclasses:
  DriverWrapper.TypesAdder72, DriverWrapper.TypesAdder74, DriverWrapper.TypesAdder80

Enclosing class:
  DriverWrapper

    protected abstract static class DriverWrapper.TypesAdder
    extends Object

Base class for the three typewrapper implementations

### Constructor Summary

Constructors
`protected` `TypesAdder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addBinaryGeometries(Connection conn)`
`abstract void` `addBoxen(Connection conn)`
`abstract void` `addGeometries(Connection conn)`
`void` `addGT(Connection conn, boolean lw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypesAdder

    protected TypesAdder()

### Method Detail

#### addGT

    public final void addGT(Connection conn,
                            boolean lw)
                     throws SQLException

Throws:
  `SQLException`

#### addGeometries

    public abstract void addGeometries(Connection conn)
                                throws SQLException

Throws:
  `SQLException`

#### addBoxen

    public abstract void addBoxen(Connection conn)
                           throws SQLException

Throws:
  `SQLException`

#### addBinaryGeometries

    public abstract void addBinaryGeometries(Connection conn)
                                      throws SQLException

Throws:
  `SQLException`